From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/s6-networking/
Date: Tue, 9 Oct 2018 00:12:00 +0000 (UTC) [thread overview]
Message-ID: <1539043886.5cc1ec1dda7d320ad0fb4016f3b879e7aca71d71.gyakovlev@gentoo> (raw)
commit: 5cc1ec1dda7d320ad0fb4016f3b879e7aca71d71
Author: Luis Ressel <aranea <AT> aixah <DOT> de>
AuthorDate: Wed Aug 22 21:37:29 2018 +0000
Commit: Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Tue Oct 9 00:11:26 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cc1ec1d
net-misc/s6-networking: Bump to 2.3.0.3
Bump EAPI to 7, always compile shared libs, fix bug with USE="static
-static-libs", simplify dependency syntax.
Closes: https://github.com/gentoo/gentoo/pull/9675
Signed-off-by: Luis Ressel <aranea <AT> aixah.de>
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>
net-misc/s6-networking/Manifest | 1 +
.../s6-networking/s6-networking-2.3.0.3.ebuild | 59 ++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/net-misc/s6-networking/Manifest b/net-misc/s6-networking/Manifest
index 282bd55c289..01ee0ebe105 100644
--- a/net-misc/s6-networking/Manifest
+++ b/net-misc/s6-networking/Manifest
@@ -1 +1,2 @@
DIST s6-networking-2.3.0.2.tar.gz 85977 BLAKE2B 883caa1d2376e1897b35fd6992a512bb9915be08b0fed10447fac3bf3acf8587153bb15d3b2c4750b02e7fdba8793253d7145afe9aef83a10efd33df3ee46c67 SHA512 c99afd9bdbd5003f57de8f88f091971f0269cd8efee5791c3c4aa90ad34b978d0f57724d4128e9d20d6a40d731853bb4bdaa76dd860f975ff7f84a56b0050256
+DIST s6-networking-2.3.0.3.tar.gz 86765 BLAKE2B 1454250de9014597e7cf3dfb7364fc5283b26c5510c5b7a825255af0626bd3b12ce456290c7a1fb58f61fae1bb5757ea4cd803a6896b554511e19cd01fa3741e SHA512 f710c8c67b88523d4d461ab775ad3a56ca148e0e5ee4c02fe40d0783ff43af8779e598548db5048cc32852be6659f2feb7ac29ba07a953daa0039cec0fc14762
diff --git a/net-misc/s6-networking/s6-networking-2.3.0.3.ebuild b/net-misc/s6-networking/s6-networking-2.3.0.3.ebuild
new file mode 100644
index 00000000000..337a4b582c3
--- /dev/null
+++ b/net-misc/s6-networking/s6-networking-2.3.0.3.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="suite of small networking utilities for Unix systems"
+HOMEPAGE="https://www.skarnet.org/software/s6-networking/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~x86"
+IUSE="ssl static static-libs"
+
+REQUIRED_USE="static? ( static-libs )"
+
+DEPEND=">=dev-lang/execline-2.5.0.1[static-libs?]
+ >=sys-apps/s6-2.7.2.0[static-libs?]
+ >=net-dns/s6-dns-2.3.0.1[static-libs?]
+ >=dev-libs/skalibs-2.7.0.0[static-libs?]
+ ssl? ( >=dev-libs/libressl-2.6.5[static-libs?] )
+"
+RDEPEND=">=dev-lang/execline-2.5.0.1:=
+ >=sys-apps/s6-2.7.2.0:=
+ !static? (
+ >=net-dns/s6-dns-2.3.0.1:=
+ >=dev-libs/skalibs-2.7.0.0:=
+ ssl? ( >=dev-libs/libressl-2.6.5:= )
+ )
+"
+
+HTML_DOCS="doc/*"
+
+src_prepare() {
+ default
+
+ # Remove QA warning about LDFLAGS addition
+ sed -i "s/tryldflag LDFLAGS_AUTO -Wl,--hash-style=both/:/" "${S}/configure" || die
+
+ # configure overrides gentoo's -fstack-protector default
+ sed -i "/^tryflag CFLAGS_AUTO -fno-stack-protector$/d" "${S}/configure" || die
+}
+
+src_configure() {
+ econf \
+ --bindir=/bin \
+ --dynlibdir=/$(get_libdir) \
+ --libdir=/usr/$(get_libdir)/${PN} \
+ --with-dynlib=/$(get_libdir) \
+ --with-lib=/usr/$(get_libdir)/s6 \
+ --with-lib=/usr/$(get_libdir)/s6-dns \
+ --with-lib=/usr/$(get_libdir)/skalibs \
+ --with-sysdeps=/usr/$(get_libdir)/skalibs \
+ --enable-shared \
+ $(use_enable ssl ssl libressl) \
+ $(use_enable static allstatic) \
+ $(use_enable static static-libc) \
+ $(use_enable static-libs static)
+}
next reply other threads:[~2018-10-09 0:12 UTC|newest]
Thread overview: 39+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-10-09 0:12 Georgy Yakovlev [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-05 15:24 [gentoo-commits] repo/gentoo:master commit in: net-misc/s6-networking/ Petr Vaněk
2024-10-24 9:39 Petr Vaněk
2024-08-30 10:19 Petr Vaněk
2024-06-14 13:31 Petr Vaněk
2024-06-09 21:12 Sam James
2024-06-09 21:12 Sam James
2024-01-22 8:18 Petr Vaněk
2024-01-17 10:39 Petr Vaněk
2024-01-16 10:45 Petr Vaněk
2024-01-16 10:45 Petr Vaněk
2023-12-21 14:28 Petr Vaněk
2023-12-21 14:28 Petr Vaněk
2023-12-05 15:08 Petr Vaněk
2023-11-22 11:38 Sam James
2023-11-17 11:09 Sam James
2023-05-20 12:32 Joonas Niilola
2023-02-21 8:01 Sam James
2023-01-17 1:53 Sam James
2023-01-17 1:53 Sam James
2022-08-16 15:26 Joonas Niilola
2022-06-25 5:36 Sam James
2022-06-25 5:36 Sam James
2022-05-24 7:01 Joonas Niilola
2022-01-28 8:00 Sam James
2022-01-28 8:00 Sam James
2022-01-28 8:00 Sam James
2022-01-28 8:00 Sam James
2020-12-29 1:21 William Hubbs
2020-10-11 17:49 William Hubbs
2020-05-16 7:09 Joonas Niilola
2019-11-28 21:54 William Hubbs
2019-06-22 7:52 Michał Górny
2018-10-02 22:08 Michał Górny
2018-03-29 13:25 William Hubbs
2017-10-03 18:47 William Hubbs
2017-05-21 21:29 William Hubbs
2017-04-26 21:29 William Hubbs
2017-01-11 23:43 William Hubbs
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1539043886.5cc1ec1dda7d320ad0fb4016f3b879e7aca71d71.gyakovlev@gentoo \
--to=gyakovlev@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox